Bug 870995 - Review Request: glassfish-master-pom - Master POM for Glassfish Maven projects
Review Request: glassfish-master-pom - Master POM for Glassfish Maven projects
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 870996 871018 895810
  Show dependency treegraph
 
Reported: 2012-10-29 07:19 EDT by gil cattaneo
Modified: 2013-05-26 23:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: glassfish-master-pom-8-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 21:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-10-29 07:19:30 EDT
Spec URL: http://gil.fedorapeople.org/glassfish-master-pom.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-master-pom-8-1.fc16.src.rpm
Description: This is a shared POM parent for Glassfish Maven projects.
Fedora Account System Username: gil
Comment 2 Michal Srb 2013-05-02 11:09:42 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable

Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  Note: Maven packages do not need to (Build)Require jpackage-utils. It is
  pulled in by maven-local
  See: https://fedoraproject.org/wiki/Packaging:Java

Not really an issue, but just tip for the future.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[-]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glassfish-master-pom-8-1.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glassfish-master-pom
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
glassfish-master-pom (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
glassfish-master-pom:
    glassfish-master-pom
    mvn(org.glassfish:pom)



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 870995

Only one problem and it's license tag. I think it should be "CDDL *or* GPLv2 with exceptions"
Comment 3 gil cattaneo 2013-05-02 12:19:04 EDT
Spec URL: http://gil.fedorapeople.org/glassfish-master-pom.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-master-pom-8-2.fc18.src.rpm
- fixed license tag
- removed jpackage-utils references
Comment 4 Michal Srb 2013-05-03 01:15:00 EDT
The package looks good now. Thanks

APPROVED
Comment 5 gil cattaneo 2013-05-13 09:35:38 EDT
New Package SCM Request
=======================
Package Name: glassfish-master-pom
Short Description: Master POM for Glassfish Maven projects
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 6 Jon Ciesla 2013-05-13 09:53:52 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-05-13 10:36:24 EDT
glassfish-master-pom-8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glassfish-master-pom-8-2.fc19
Comment 8 Fedora Update System 2013-05-13 10:59:50 EDT
glassfish-master-pom-8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glassfish-master-pom-8-2.fc18
Comment 9 Fedora Update System 2013-05-13 21:26:05 EDT
glassfish-master-pom-8-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-05-21 21:31:23 EDT
glassfish-master-pom-8-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-05-26 23:22:40 EDT
glassfish-master-pom-8-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.